import { ReactNode } from 'react';
interface Props {
    /** Controls the max width of the content */
    max?: string;
    /** Controls the centering of the text content */
    centerText?: boolean;
    /** Left/right margin to leave when container width is the same as content width */
    gutter?: string;
    /** Intrinsically center the children (layout using flex) */
    intrinsic?: boolean;
    children?: ReactNode;
    as?: keyof JSX.IntrinsicElements;
}
/**
 * Center layout component
 */
export declare function Center(props: Props): JSX.Element;
export {};
