import { ReactNode } from 'react';
interface Props {
    /** 1-based index of what child to center vertically (Has no effect when there is only one child) */
    centeredIndex?: number;
    /** Controls the spacing value between all child elements */
    space?: string;
    /** Minimum height to cover */
    minHeight?: string;
    /** Also pad the container using the space value */
    isPadded?: boolean;
    children?: ReactNode;
    as?: keyof JSX.IntrinsicElements;
}
/**
 * Cover layout component
 */
export declare function Cover(props: Props): JSX.Element;
export {};
